Magnetoculus Visualisation de champs en VR avec Oculus

Protected Member Functions | Protected Attributes | List of all members
FieldGenerator Class Reference
Inheritance diagram for FieldGenerator:

## Protected Member Functions
virtual void | Awake ()
Protected Member Functions inherited from Generator
abstract void | CreateRepresentationInformation ()
abstract IEnumerator | AsynchronousGeneration ()
void | FileError (string message)
void | TriggerGenerationProgressEvent (float generationProgress, string generationText)
void | TriggerGenerationStartEvent ()
void | TriggerGenerationEndEvent ()
void | TriggerGenerationErrorEvent (string message)

## Protected Attributes
int | m_MaxVerticesPerChunk = 30000
Field | m_Field
FieldInfoManager | m_FieldInfoManager
Protected Attributes inherited from Generator
GameObject | m_ChunkPrefab
RepresentationNavigation | m_RepresentationManagerPanel
FileInfoManager | m_FileInfoManager
string | m_FileName
GameObject | m_Representation
Mesh | m_Mesh

## Additional Inherited Members
Public Member Functions inherited from Generator
delegate void | GenerationEventWithArgs (float generationProgress, string generationText)
delegate void | GenerationEvent ()
delegate void | ErrorEvent (string message)
void | StartGeneration ()
Events inherited from Generator
static GenerationEvent | GenerationStartEvent
static GenerationEventWithArgs | GenerationProgressEvent
static GenerationEvent | GenerationEndEvent
static ErrorEvent | GenerationErrorEvent

## Detailed Description

Abstract super class for field generation. It can :

- read the database
- start the generation
- compute the maximum field value
- manage the progress bar
- display error if datas are not as intended

## Member Function Documentation

## ◆ Awake()

virtual void FieldGenerator.Awake | ( |  | ) |
| protected virtual

Reimplemented in IsoSurfaceGenerator.

## Member Data Documentation

## ◆ m_Field

Field FieldGenerator.m_Field
| protected

Field that this generator pertains to.

## ◆ m_FieldInfoManager

FieldInfoManager FieldGenerator.m_FieldInfoManager
| protected

## ◆ m_MaxVerticesPerChunk

int FieldGenerator.m_MaxVerticesPerChunk = 30000
| protected

Since a mesh cannot have more than 65535 vertices, a chunk can only have a limited number of cube.

The documentation for this class was generated from the following file:

- Assets/Scripts/Representation/FieldGenerator.cs